Subject: Python-symengine fails to build

From: Andreas Enge <[email-masked]>
Date: Mon, 8 Aug 2022 23:11:10 +0200

Hello,

updating flint, I have also tried to compile python-symengine as a dependent
package, and notice that it fails, but actually it already failed before
with the error
   error: ‘LLVMLongDoubleVisitor’ is not a member of ‘SymEngine’; did you mean ‘LambdaDoubleVisitor’?

So I have updated symengine to its latest version 0.9.0, and python-symengine
to its latest version 0.9.2, and now the latter fails to build with the
different error message reproduced below.

Since it replaces a broken package by a more modern broken package, I still
took the liberty to push, but it would be nice if someone with knowledge of
python and/or symengine could have a look. Disabling the tests makes the
compilation succeed, but it would be nice to find a better solution...

Thanks,

Andreas

Copying source of python wrappers into: /tmp/guix-build-python-symengine-0.9.2.drv-0/symengine-0.9.2
-- Configuring done
-- Generating done
-- Build files have been written to: /tmp/guix-build-python-symengine-0.9.2.drv-0/symengine-0.9.2
[ 25%] Cythonizing symengine_wrapper.pyx
[ 50%] Building CXX object symengine/lib/CMakeFiles/symengine_wrapper.dir/symengine_wrapper.cpp.o
[ 75%] Building CXX object symengine/lib/CMakeFiles/symengine_wrapper.dir/pywrapper.cpp.o
[100%] Linking CXX shared library symengine_wrapper.cpython-39-x86_64-linux-gnu.so
[100%] Built target symengine_wrapper
lib (unittest.loader._FailedTest) ... ERROR

======================================================================
ERROR: lib (unittest.loader._FailedTest)
----------------------------------------------------------------------
AttributeError: module 'symengine' has no attribute 'lib'

----------------------------------------------------------------------
Ran 1 test in 0.000s

FAILED (errors=1)
Test failed: <unittest.runner.TextTestResult run=1 errors=1 failures=0>
error: Test failed: <unittest.runner.TextTestResult run=1 errors=1 failures=0>
error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "python" arguments: ("-c" "import setuptools, tokenize;__file__='setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\\r\\n', '\\n');f.close();exec(compile(code, __file__, 'exec'))" "test") exit-status: 1 term-signal: #f stop-signal: #f> 
phase `check' failed after 92.2 seconds
command "python" "-c" "import setuptools, tokenize;__file__='setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\\r\\n', '\\n');f.close();exec(compile(code, __file__, 'exec'))" "test" failed with status 1
builder for `/gnu/store/a1fvzjq643azmy4mn2gl86p0xz5v4pl2-python-symengine-0.9.2.drv' failed with exit code 1
build of /gnu/store/a1fvzjq643azmy4mn2gl86p0xz5v4pl2-python-symengine-0.9.2.drv failed